// Predicates are a way of testing whether the fields of objects like Activities, Assignments etc. fulfill
// a certain condition. They are used in Merlin's filters, style conditions, exporters, publishers and report modules.
// There are two types of predicates:
// 1. Comparison Predicate: Compares the fields of one object against one or two given values
// 2. Compound Predicate: Combines other predicates with the logical operations and / or / not

// With the popup in the first column of the comparsion predicate in the editor one choses the object type
// for the condition.
// If the object type does not matter, the following string is displayed:
"valueType.predicate.comparison.objectType.any"                     = "すべての種類";

// The object type popup in the style conditon editor offers a special object type for the context in which
// an object is presented (like collapsed, filtered, read-only etc.)
"valueType.predicate.comparison.objectType.styleContext"            = "コンテキスト";

// The object type popup in the style condition editor of the Net Plan view offers a special object type
// for the styling of hierarchy lines.
"valueType.predicate.comparison.objectType.hierarchyLines"          = "階層のライン";

// If the predicate refers to the whole object and not just to one of its field, this string is displayed:
"valueType.predicate.comparison.key.self"                           = "-";

// A predicate can refer to special marker keys which generically include or exclude objects of the selected type
"valueType.predicate.comparison.key.yes"                            = "はい";
"valueType.predicate.comparison.key.no"                             = "いいえ";

// For conditions about hierarchy lines in the Net Plan view, this special key is offered.
// It refers to the object which is represented by the target box of a hierarchy line.
"valueType.predicate.comparison.key.childActivity"                  = "子アクティビティ";

// For conditions for keys targeting resources, a special value is selectable at the top of the possible values list.
// This special value refers to the currently logged in user.
"valueType.predicate.comparison.value.currentUser"                  = "現在のユーザ";

// These are all possible coparison operator types
"valueType.predicate.comparison.operator.lessThan"                  = "が次未満である";
"valueType.predicate.comparison.operator.lessThanOrEqual"           = "が次以下である";
"valueType.predicate.comparison.operator.greaterThan"               = "が次より大きい";
"valueType.predicate.comparison.operator.greaterThanOrEqual"        = "が次以上である";
"valueType.predicate.comparison.operator.equalTo"                   = "が次である";
"valueType.predicate.comparison.operator.notEqualTo"                = "が次ではない";
"valueType.predicate.comparison.operator.between"                   = "が次の間である";
"valueType.predicate.comparison.operator.yes"                       = "はい";
"valueType.predicate.comparison.operator.no"                        = "いいえ";
"valueType.predicate.comparison.operator.contains"                  = "次を含む";
"valueType.predicate.comparison.operator.doesNotContain"            = "が次を含まない";
"valueType.predicate.comparison.operator.beginsWith"                = "で始まる";
"valueType.predicate.comparison.operator.endsWith"                  = "が次で終わる";
"valueType.predicate.comparison.operator.before"                    = "次より前";
"valueType.predicate.comparison.operator.after"                     = "次より後";
"valueType.predicate.comparison.operator.on"                        = "が次の日付である";
"valueType.predicate.comparison.operator.notOn"                     = "が次の日付でない";
"valueType.predicate.comparison.operator.inStatusTimeFrame"         = "が状況タイムフレームにある";
"valueType.predicate.comparison.operator.today"                     = "が今日";
"valueType.predicate.comparison.operator.thisWeek"                  = "が今週";
"valueType.predicate.comparison.operator.thisMonth"                 = "が今月";
"valueType.predicate.comparison.operator.thisYear"                  = "が今年";
"valueType.predicate.comparison.operator.yesterday"                 = "が昨日";
"valueType.predicate.comparison.operator.lastWeek"                  = "が先週";
"valueType.predicate.comparison.operator.lastMonth"                 = "が先月";
"valueType.predicate.comparison.operator.lastYear"                  = "が去年";
"valueType.predicate.comparison.operator.tomorrow"                  = "が明日";
"valueType.predicate.comparison.operator.nextWeek"                  = "が来週\n";
"valueType.predicate.comparison.operator.nextMonth"                 = "が来月";
"valueType.predicate.comparison.operator.nextYear"                  = "が来年";
"valueType.predicate.comparison.operator.empty"                     = "が空である";
"valueType.predicate.comparison.operator.notEmpty"                  = "空でない";
"valueType.predicate.comparison.operator.exceedsBudgetBy"           = "が次の額で予算超過";
"valueType.predicate.comparison.operator.costExceededBy"            = "のコストが次の額で超過";
"valueType.predicate.comparison.operator.matches"                   = "が条件を満たす";
"valueType.predicate.comparison.operator.allMatch"                  = "すべての条件を満たす";
"valueType.predicate.comparison.operator.anyMatches"                = "いずれかが条件を満たす";
"valueType.predicate.comparison.operator.countEqualTo"              = "のカウントが次ではある";
"valueType.predicate.comparison.operator.countNotEqualTo"           = "のカウントが次ではない";
"valueType.predicate.comparison.operator.countGreaterThan"          = "のカウントが次より多い";
"valueType.predicate.comparison.operator.countLessThan"             = "のカウントが次より少ない";
"valueType.predicate.comparison.operator.countBetween"              = "のカウントが次の間である";
"valueType.predicate.comparison.operator.anyOf"                     = "が次のいずれかである";
"valueType.predicate.comparison.operator.notAnyOf"                  = "が次のいずれでもない";
"valueType.predicate.comparison.operator.overlapsStatusTimeFrame"   = "が状況タイムフレームと重なる";
"valueType.predicate.comparison.operator.overlapsToday"             = "が今日と重なる";
"valueType.predicate.comparison.operator.overlapsThisWeek"          = "が今週と重なる";
"valueType.predicate.comparison.operator.overlapsThisMonth"         = "が今月と重なる";
"valueType.predicate.comparison.operator.overlapsThisYear"          = "が今年と重なる";
"valueType.predicate.comparison.operator.overlapsYesterday"         = "が昨日と重なる";
"valueType.predicate.comparison.operator.overlapsLastWeek"          = "が先週と重なる";
"valueType.predicate.comparison.operator.overlapsLastMonth"         = "が先月と重なる";
"valueType.predicate.comparison.operator.overlapsLastYear"          = "が去年と重なる";
"valueType.predicate.comparison.operator.overlapsTomorrow"          = "が明日と重なる";
"valueType.predicate.comparison.operator.overlapsNextWeek"          = "が来週と重なる";
"valueType.predicate.comparison.operator.overlapsNextMonth"         = "が来月と重なる";
"valueType.predicate.comparison.operator.overlapsNextYear"          = "が来年と重なる";
"valueType.predicate.comparison.operator.overlaps"                  = "が所要範囲と重なる";
"valueType.predicate.comparison.operator.doesNotOverlap"            = "が所要範囲と重ならない";

// When the "between" operator is selected, the predicate editor presents two values fields.
// The following string is used as a conjunction between the fields.
// For example:
// Activity: expectedDuration is between 2 days and 3 days
"predicate.comparison.value.between.conjunction"                    = "と";

// A compound predicate combines other predicates with the logical operations and / or / not
"valueType.predicate.compound.type.and"                             = "と";
"valueType.predicate.compound.type.or"                              = "または";
"valueType.predicate.compound.type.not"                             = "でない";